## net.sf.statsvn.util
Class XMLUtil

    java.lang.Object
      net.sf.statsvn.util.XMLUtil

    public final class XMLUtil

extends Object

Utilities class to faciliate XML management.

Version:
  $Id: XMLUtil.java 351 2008-03-28 18:46:26Z benoitx $
Author:
  Jason Kealey <jkealey@shade.ca>, Gunter Mussbacher <gunterm@site.uottawa.ca>

Method Summary
`static Date` `offsetDateFromGMT(Date date)` This method converts from GMT to local timezone
`static Date` `parseXsdDateTime(String sDateTime)` For some reason, can't find this utility method in the java framework.
`static void` `writeXmlFile(Document doc, String filename)` This method writes a DOM document to a file

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### parseXsdDateTime

    public static Date parseXsdDateTime(String sDateTime)
                                 throws ParseException

  For some reason, can't find this utility method in the java framework.

  Parameters:
    `sDateTime` - an xsd:dateTime string
  Returns:
    an equivalent java.util.Date
  Throws:
    `ParseException`

### offsetDateFromGMT

    public static Date offsetDateFromGMT(Date date)

  This method converts from GMT to local timezone

  Parameters:
    `date` - date in GMT timezone
  Returns:
    the date in local timezone

### writeXmlFile

    public static void writeXmlFile(Document doc,
                                    String filename)

  This method writes a DOM document to a file

  Parameters:
    `doc` - DOM document.
    `filename` - the target file.